Update problem

Posts that are done/fixed/closed or aged! for this section are placed in here to keep the forum in shape & more viewable!
Locked [phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable
Kirkor
Posts: 114
Joined: 09 Mar 2014, 11:07
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Update problem

Unread post by Kirkor » 09 May 2014, 20:47

Hi, this is a message that appears when I open program or I try to update. It appeared together with 0603 update. Now when I want to update to 0604, I always get this message and I am unable to update.
Attachments
1.jpg
1.jpg (22.53 KiB) Viewed 918 times

User avatar
Phoenix
ECC Developer 2006-2016
Posts: 9059
Joined: 27 Aug 2006, 01:17
Location: Deventer, The Netherlands
Contact:

Re: Update problem

Unread post by Phoenix » 09 May 2014, 22:03

Hi Kikor,

I've checked the updates, these are ok...., maybe you installed the Mplayer beta test package somewhere or some update failed?

Please set back the last update manually to 601:

file: ecc-system\system\info\ecc_local_update_info.ini

Code: Select all

last_update=00601
And update ECC again, the problem should be gone, please report back!
Sebastiaan Ebeltjes | ECC Developer 2006-2016 | ECC Forum Admin | Phoenix Interactive WebMaster
[- ECC programs -]
eccUpdate, eccScriptSystem, GtkThemeSelect, DatFileUpdater (DFU), ImagePackCenter (IPC), eccDiagnostics, 3dGallery, iccImageInject
eccKameleonCode, eccCreateStartmenuShotcut, eccThirdPartyConfig (TPC), EmuMoviesDownloader (EMD), eccVideoPlayer
MobyGamesImporter (MGI), ECC Amiga GetGemusConfig.

Kirkor
Posts: 114
Joined: 09 Mar 2014, 11:07
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Re: Update problem

Unread post by Kirkor » 10 May 2014, 02:21

Phoenix wrote:Hi Kikor,

I've checked the updates, these are ok...., maybe you installed the Mplayer beta test package somewhere or some update failed?

Please set back the last update manually to 601:

file: ecc-system\system\info\ecc_local_update_info.ini

Code: Select all

last_update=00601
And update ECC again, the problem should be gone, please report back!
I havent installed Mplayer Beta. It just happened afer updating to 00603.

Still does not work after altering "ecc_local_update_info.ini" file. I just get this message from attachment above then. Also if I want to open 3D gallery then I also get this message. So it can appear during various executions.

In attachment I put "ecc_local_update_info.ini" and "eccToolVariables.au3" so that you can check if files are proper.

There was no error during updates. I think the problem is that file "VLCPlayer.au3" is missing. There were some changes with video player during that update and it seems this file hasnt been downloaded. I checked manually in "thirdparty\autoit\include\VLCPlayer.au3" and there is no such file in this folder. It would explain why "error opening the file" appears.

I deleted this line #include "..\thirdparty\autoit\include\VLCPlayer.au3" from eccToolVariables.au3 and error message disappeared. But it really doesnt fix the problem.

And last thing I did is that I took "VLCPlayer.au3" from all new version. I put it where it belongs and error message also disappears. It all means, together with above sentence, that this file cause the problem because it is missing. And what I did then is to update from 00601. All got downloaded up to 00604. And what happened? "VLCPlayer.au3" got deleted again and the problem came back.

There is surely something wrong as update deletes this file and then it is missing causing this error message. It is most probably because of update 00603 that has something to do with the video player.
Attachments
Files.zip
(2.5 KiB) Downloaded 37 times

User avatar
Phoenix
ECC Developer 2006-2016
Posts: 9059
Joined: 27 Aug 2006, 01:17
Location: Deventer, The Netherlands
Contact:

Re: Update problem

Unread post by Phoenix » 10 May 2014, 08:49

The new VideoPlayer update is in update 00602:

These files are deleted in this update, because they are not needed anymore:

Code: Select all

[UPDATE_ACTION]
ExtractFiles=1
FileDelete=ecc-core\tools\eccVideoPlayer.ico
FileDelete=ecc-core\thirdparty\autoit\include\VLCPlayer.au3
And this file: ecc-core\tools\eccToolVariables.au3 get updated to v1.0.0.4, where the include line also has been deleted, etc.

Code: Select all

; Script for             : Allround ECC variables for ECC tool scripts
; Script version         : v1.0.0.4
; Last changed           : 2014.05.04
It seems you are the only one with this problem, because of no other people report on this...this is the best solution:

Download and unpack the latest ECC release and overwrite every file in your existing ECC installation (your database etc. will not be overwritten) then update ECC from the beginning, alls should be fine, since i've tested it again here...

Let me know!
Sebastiaan Ebeltjes | ECC Developer 2006-2016 | ECC Forum Admin | Phoenix Interactive WebMaster
[- ECC programs -]
eccUpdate, eccScriptSystem, GtkThemeSelect, DatFileUpdater (DFU), ImagePackCenter (IPC), eccDiagnostics, 3dGallery, iccImageInject
eccKameleonCode, eccCreateStartmenuShotcut, eccThirdPartyConfig (TPC), EmuMoviesDownloader (EMD), eccVideoPlayer
MobyGamesImporter (MGI), ECC Amiga GetGemusConfig.

Kirkor
Posts: 114
Joined: 09 Mar 2014, 11:07
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Re: Update problem

Unread post by Kirkor » 10 May 2014, 23:30

Problem fixed.

Locked
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Who is online

Users browsing this forum: No registered users and 2 guests